TBPL doesn't report SeaMonkey test runs since bug 722262 landed

VERIFIED FIXED in seamonkey2.10

Status

defect
P2
major
VERIFIED FIXED
7 years ago
7 years ago

People

(Reporter: sgautherie, Assigned: Callek)

Tracking

({regression})

Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [fixed by bug 727258])

(Reporter)

Description

7 years ago
(In reply to Serge Gautherie (:sgautherie) from bug 722262 comment #25)
> (In reply to Serge Gautherie (:sgautherie) from bug 722262 comment #24)
> 
> > I didn't look too precisely, but tbpl hasn't reported any test run since
> > "Tue Feb 14 04:29:59 2012 PST", which was the checkin before this one.
> 
> Oh, that must be another regression to be fixed by bug 727258, hopefully.

No(t enough).

*****

http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey

Before, test builds used to report both revisions:
{
L
s: cb-sea-miniosx64-01
rev:61b227b45ca9
moz:6292e55419d1
mochitest-plain-3
15168/0/3089
}

Now, they report m-c revision only:
{
L
s: cn-sea-qm-centos5-01
rev:d45c7d7b0079
mochitest-plain-5
9958/0/36
}
Flags: in-testsuite-
(Assignee)

Comment 1

7 years ago
I will look into this early next week.
Assignee: nobody → bugspam.Callek
(Reporter)

Comment 2

7 years ago
I am guessing this is related to "MOZ_APP_STATIC_INI=1".
Could it be disabled (on Debug) in the meantime?
Status: NEW → ASSIGNED
(Assignee)

Comment 3

7 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #2)
> I am guessing this is related to "MOZ_APP_STATIC_INI=1".

Likely, yea. but at a glance I think my "fix" actually fixed this -- just we've have our machines overloaded the last few days and not run tests. And my followup just moved to inbound today.

> Could it be disabled (on Debug) in the meantime?

No. Sorry. Too much work for too little gain in the short-term, and I have two releases to drive asap.
(Reporter)

Comment 4

7 years ago
(In reply to Justin Wood (:Callek) from comment #3)

> Likely, yea. but at a glance I think my "fix" actually fixed this -- just

Oh, right, I had looked at older builds only indeed :-<

Then, bug 727258 fixed (only) half of the (tinderbox) issue:
{
L
s: cb-sea-miniosx02
rev:ae8cce613aa0 [http://hg.mozilla.org/comm-central/rev/ae8cce613aa0 : m-c rev id :-(]
moz:ae8cce613aa0 [http://hg.mozilla.org/mozilla-central/rev/ae8cce613aa0 : correct :-)]
mochitest-plain-5
9549/0/36
17:19:24
}

> we've have our machines overloaded the last few days and not run tests.

Well, at least some test runs did run: see my comments in bug 722262 and here.

> No. Sorry. Too much work for too little gain in the short-term, and I have
> two releases to drive asap.

I hoped commenting the variable out or ifdef'ing it would be enough.
But I can understand that releases are a priority.

*****

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329354592.1329355526.30783.gz&fulltext=1
OS X 10.5 comm-central-trunk debug test mochitests-5/5 on 2012/02/15 17:09:52
{
======== BuildStep started ========
set props: revision
=== Output ===
revision: 02fc13ae8f5b
=== Output ended ===
======== BuildStep ended ========

======== BuildStep started ========
set props: buildid
=== Output ===
python /builds/slave/test/tools/buildfarm/utils/printbuildrev.py ./SeaMonkeyDebug.app/Contents/MacOS
[...]
buildid: 20120215133527
TinderboxPrint:<a href=http://hg.mozilla.org/comm-central/rev/ae8cce613aa0 title="Built from revision ae8cce613aa0">rev:ae8cce613aa0</a>
TinderboxPrint:<a href=http://hg.mozilla.org/mozilla-central/rev/ae8cce613aa0 title="Built from Mozilla revision ae8cce613aa0">moz:ae8cce613aa0</a>
program finished with exit code 0
elapsedTime=0.044889
buildid: '20120215133527'
=== Output ended ===
======== BuildStep ended ========
}
(Reporter)

Comment 5

7 years ago
New/2nd part of bug 727258 fixed this.

***

http://build.mozillamessaging.com/tinderboxpushlog/?tree=SeaMonkey
neil@parkwaycc.co.uk – Fri Feb 17 14:30:06 2012 PST

V.Fixed
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Whiteboard: [fixed by bug 727258]
(Reporter)

Updated

7 years ago
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.